1 2 Previous Next 18 Replies Latest reply on Dec 9, 2009 8:18 PM by zekicker

    Fail to install patch 4

      Hi,

      I'm trying to install EPO path 4 without success. Epo is running with Epo Patch 3.
      In the EPO400-Patch-MSI file, I've this error:

      1: FAILURE: Unable to connect to the SQL server while running the SQL command


      Does someone has an idea ?
        • 1. RE: Fail to install patch 4
          I have the same problem, anyone help?
          • 2. RE: Fail to install patch 4
            jmaxwell
            Sounds like this problem which was supposed to have been fixed in P3 onwards - might be worth checking out the db instance name I suppose.... or the KB articles referenced....

            Jim

            Corporate KnowledgeBase
            ERROR: FAILURE: Unable to connect to the SQL server while running the SQL command (installing ePO 4.0 Patch 2)

            Corporate KnowledgeBase ID: KB52995
            Published: December 05, 2008

            Environment
            All supported operating systems. For details, see KB51109
            Problem 1
            ePolicy Orchestrator (ePO) 4.0 Patch 2 installation fails
            Problem 2
            The following entry is recorded in the EPO400-Patch-MSI.LOG:
            1: FAILURE: Unable to connect to the SQL server while running the SQL command
            Cause
            Instance name not specified in db.properties file. Post successful installation of ePolicy Orchestrator 4.0, changes to their SQL environment were made. These changes were then not made on the ePO 4.0 server.


            Solution
            This issue is resolved in ePolicy Orchestrator 4.0 Patch 3 or later, which is currently available on the McAfee Downloads page. See KB54808 for information on downloading patches from the Downloads site.

            McAfee ePolicy Orchestrator 4 patches are cumulative and this issue is resolved in the latest patch. To get the latest information about ePO 4.0 Patch and HotFix releases, see KB52986.

            NOTE: ePO 4.0 Patches are a recommended release. See article KB51560 for information on ratings.

            This is documented in the Patch 3 README.TXT under RESOLVED ISSUES for Item 16.
            16 Issue:
            An ePolicy Orchestrator 4.0 upgrade failed when the SQL Server UDP port was enabled for the initial ePolicy Orchestrator 4.0 installation and disabled before upgrading. The inverse scenario also caused the upgrade to fail. (Reference: 406814, 415166)

            Resolution:
            The ePolicy Orchestrator 4.0 upgrade no longer fails when the SQL Server UDP port was enabled for the initial ePolicy Orchestrator 4.0 installation and disabled before upgrading. The inverse scenario has also been corrected.

            Previous Document ID
            615870
            • 3. RE: Fail to install patch 4
              Thanks Jmaxwell,

              How can I download the patch 3?
              I see patch 5 only...
              • 4. RE: Fail to install patch 4
                tonyb99
                why not just got to patch 5?

                if you really need patch 4 you should be able to get it by logging a case with support and they can send you a link to download it
                • 5. RE: Fail to install patch 4
                  Because I am using Patch2, once I try the upgrade, I got the error. So, I need to upgrade to patch 3 before I upgrade to patch 4.....

                  Finally, I want to upgrade to 4.5 but 4.5 require patch 3......

                  ......:o
                  • 6. RE: Fail to install patch 4
                    jmaxwell
                    If that's true then (I thought the patches were cumulative and included the others) you will need to raise a case with support as Tony said. :(

                    ...have you tried P5 then and it's failed ?

                    Jim
                    • 7. RE: Fail to install patch 4
                      tonyb99
                      you can go from patch 0-5 in one go they are cummulative
                      • 8. RE: Fail to install patch 4
                        Actually I am applying patch5, not success.
                        • 9. RE: Fail to install patch 4
                          I still have this problem. I'm checking with McAfee support
                          1 2 Previous Next